Package: groovy.text

## [Java] Class TemplateParseException

- groovy.text.TemplateParseException

- A custom exception class to flag template parsing errors

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TemplateParseException (int lineNumber, int column)`
    `TemplateParseException (String message, int lineNumber, int column)`
    `TemplateParseException (String message, Throwable cause, int lineNumber, int column)`
    `TemplateParseException (Throwable t, int lineNumber, int column)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getColumn()`
    `` | `int` | `getLineNumber()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TemplateParseException(int lineNumber, int column)

    - #### public TemplateParseException(String message, int lineNumber, int column)

    - #### public TemplateParseException(String message, Throwable cause, int lineNumber, int column)

    - #### public TemplateParseException(Throwable t, int lineNumber, int column)

  - ### Method Detail

    - #### public int getColumn()

    - #### public int getLineNumber()